!R1210-R1214
program main
type ss
	real ss
end type

type  ww
	sequence
	integer s
	type (ss) y
end type
type (ww) a
dimension b(2,4)
!error : actual arg "a" ,"b" are not matched with their correspoding dummy arg 
! "a" ,'q" because the defined types are not the same
	call p(a,b)
end

subroutine p(a,q)
type ss
	real ss
end type
type ww
sequence
	integer s
!error defined type "ss" should be sequence
	type (ss) y
end type
type (ww) a
integer q
dimension   q(2,4)
q=q+1
end
